<script setup lang="ts">
import { IBizContext } from '@ibiz-template/core';
import { SearchFormModel } from '@ibiz-template/model';
import { useSearchFormController } from '@ibiz-template/vue-util';
import { getCurrentInstance } from 'vue';

interface SearchFormControlProps {
  modelData: SearchFormModel;
  context: IBizContext;
  params: IParams;
}

const props = withDefaults(defineProps<SearchFormControlProps>(), {});
const { proxy } = getCurrentInstance()!;
useSearchFormController(proxy, props.modelData, props.context, props.params);
</script>

<template>
  <div>搜索表单</div>
</template>
